Get deployment by ID
GET /api/v1/cluster/instances/kubernetes/deployments/id/. Kubernetes API reference.
Get deployment by ID
Authentication · API availability · Download OpenAPI
Successfully retrieved deploymentBad Request. Invalid deployment ID format.Unauthorized. Authentication credentials are missing or invalid.Forbidden. User does not have permission to view this deployment.Not Found. Deployment with the specified ID does not exist.Internal Server Error. Failed to retrieve deployment due to server error.An unexpected error response.
Authorizations
Bearer token for the ZedCloud gateway user session
Headers
User-Agent specified id to track a request
Path Parameters
Unique identifier of the deployment (required). Example: 'dep-abc123'
Response
Successfully retrieved deployment
Deployment get response
Deployment ID
Release name
Title of the deployment
Description of the deployment
Project ID associated with the deployment
Type of deployment
Available options:
K8sDeploymentType_UNSPECIFIED, HELMCHART Deployment spec
Deployment status
Map of resource status details
Creation timestamp
Last update timestamp
User who created the deployment
User who last updated the deployment